package com.ruoyi.bst.balanceLog.mapper;

import java.util.List;
import com.ruoyi.bst.balanceLog.domain.BalanceLog;
import com.ruoyi.bst.balanceLog.domain.BalanceLogVO;
import com.ruoyi.bst.balanceLog.domain.BalanceLogQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 余额日志Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-14
 */
public interface BalanceLogMapper
{
    /**
     * 查询余额日志
     *
     * @param id 余额日志主键
     * @return 余额日志
     */
    BalanceLogVO selectBalanceLogById(Long id);

    /**
     * 查询余额日志列表
     *
     * @param query 余额日志
     * @return 余额日志集合
     */
    List<BalanceLogVO> selectBalanceLogList(@Param("query")BalanceLogQuery query);

    /**
     * 新增余额日志
     *
     * @param balanceLog 余额日志
     * @return 结果
     */
    int insertBalanceLog(BalanceLog balanceLog);

    /**
     * 批量新增余额日志
     */
    int batchInsert(@Param("list") List<? extends BalanceLog> list);

    /**
     * 批量修改余额日志
     */
    int batchUpdate(@Param("list") List<? extends BalanceLog> list);

    /**
     * 修改余额日志
     *
     * @param balanceLog 余额日志
     * @return 结果
     */
    public int updateBalanceLog(@Param("data") BalanceLog balanceLog);

    /**
     * 删除余额日志
     *
     * @param id 余额日志主键
     * @return 结果
     */
    int deleteBalanceLogById(Long id);

    /**
     * 批量删除余额日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBalanceLogByIds(Long[] ids);
}
